OP Inference
API reference

List models

GET
/v1/models

Every model your key can use, with its modality and published price.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Your API key, sent as Authorization: Bearer <key>.

Response Body

The models.

application/json
  1. response
object*string
data*array<>
curl -X GET "https://example.com/v1/models" \  -H "Authorization: Bearer $OP_API_KEY"
{  "object": "list",  "data": [    {      "id": "string",      "object": "model",      "created": 0,      "owned_by": "string",      "modality": "text",      "pricing": {        "price_version": "string",        "currency": "string",        "rules": [          {}        ]      },      "inputs": {}    }  ]}